import { default as glob } from "tiny-glob"

export async function discoverTestFiles(options) {
    const pattern = options?.pattern || "**/*.test.{js,cjs,mjs}"
    const directory = options?.directory || "."

    const files = await glob(pattern, {
        cwd: directory,
    })
    const importUrls = files.map(f => f.replace("\\", "/")) // Silly Windows!
    return importUrls
}
