import { getMethodNames } from "./util.js"

export function runTests(suite) {
    const testMethodNames = getMethodNames(suite)

    testMethodNames.forEach(
        testMethodName => {
            console.log(testMethodName)
            try {
                suite[testMethodName]()
                console.log("SUCCESS")
            } catch (err) {
                console.log("FAILED")
                console.log(err.message)
            }
        },
    )
}
