const OFF = 0;
const WARN = 1;
const ERR = 2;

module.exports = {
    "env": {
        "es2021": true,
        "node": true
    },
    "extends": "eslint:recommended",
    "parserOptions": {
        "ecmaVersion": 12,
        "sourceType": "module"
    },
    "rules": {
        "indent": [ERR, 4],
        "linebreak-style": [ERR, "unix"],
        "quotes": [ERR, "double"],
        "semi": [ERR, "never"],
        "comma-dangle": [ERR, "always-multiline"],
    },
}
